Skip to main content
Alerting & Response/Alert Routing & Policies
GETAlertingSince 1.0SynchronousAuth Required

GetAlertAssignmentRuleConfig

Retrieve the on-call assignment configuration for a rule

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • ruleIdStringRequired

    Rule identifier to retrieve assignment config for

Responses

200 OK

On success, this API returns the following response structure.

  • ruleIdString

    Rule identifier for the assignment configuration

    Example: rule-abc123

  • enabledBoolean

    Whether automatic assignment is enabled

    Example: true

  • scheduleIdString

    On-call schedule to use for assignment

    Example: sched-001

  • escalateAfterMinutesInteger

    Minutes before escalation to the next schedule

    Example: 30

  • escalateToScheduleIdString

    Fallback schedule for escalation

    Example: sched-002

Endpoint

GET/api/v1/alerting/assignments/rules/{ruleId}

/api/v1/alerting/assignments/rules/{ruleId}

Operation ID

GetAlertAssignmentRuleConfig

Permalink

Request Example

curl -X GET '{host}/api/v1/alerting/assignments/rules/{ruleId}' -H 'Authorization: Bearer {token}'

Response Example

200
{
  "ruleId": "rule-abc123",
  "enabled": true,
  "scheduleId": "sched-001",
  "escalateAfterMinutes": 30,
  "escalateToScheduleId": "sched-002"
}

Change History

This API has no change history records yet.

View all change history